ucnhash (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.modules
Class ucnhash

    java.lang.Object
      org.python.modules.ucnhash

All Implemented Interfaces:
  ucnhashAPI

    public class ucnhash

extends Object
implements ucnhashAPI

Field Summary
`static String[]` | `__depends__`

Constructor Summary
`ucnhash()`

Method Summary
`int` | `getCchMax()`
`int` | `getValue(String s, int start, int end)`
`static int` | `hash(String key)`
`static int` | `hash(String key, int start, int end)`
`static void` | `loadTables()`
`static int` | `lookup(String name)`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __depends__

    public static String[] __depends__

Constructor Detail

### ucnhash

    public ucnhash()

Method Detail

### loadTables

    public static void loadTables()
                           throws Exception

  Throws:
    `Exception`

### hash

    public static int hash(String key)

### hash

    public static int hash(String key,
                           int start,
                           int end)

### lookup

    public static int lookup(String name)

### getCchMax

    public int getCchMax()

  Specified by:
    `getCchMax` in interface `ucnhashAPI`

### getValue

    public int getValue(String s,
                        int start,
                        int end)

  Specified by:
    `getValue` in interface `ucnhashAPI`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage